## ros-lunar-pointcloud-to-laserscan 1.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(pointcloud_to_laserscan)

find_package(catkin REQUIRED COMPONENTS
  message_filters
  nodelet
  roscpp
  sensor_msgs
  tf2
  tf2_ros
  tf2_sensor_msgs
)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES pointcloud_to_laserscan
  CATKIN_DEPENDS roscpp message_filters nodelet sensor_msgs tf2 tf2_ros
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
)

add_library(pointcloud_to_laserscan src/pointcloud_to_laserscan_nodelet.cpp)
target_link_libraries(pointcloud_to_laserscan ${catkin_LIBRARIES})

add_executable(pointcloud_to_laserscan_node src/pointcloud_to_laserscan_node.cpp)
target_link_libraries(pointcloud_to_laserscan_node pointcloud_to_laserscan ${catkin_LIBRARIES})

install(TARGETS pointcloud_to_laserscan pointcloud_to_laserscan_node
	RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
	LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
	ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)
install(FILES nodelets.xml
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

install(DIRECTORY launch
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

if(CATKIN_ENABLE_TESTING)
  find_package(roslint REQUIRED)
  roslint_cpp()
  roslint_add_test()
endif()

=== debian/changelog ===
ros-lunar-pointcloud-to-laserscan (1.4.0-0xenial) xenial; urgency=high

  * Added inf_epsilon parameter that determines the value added to max range when use_infs parameter is set to false
  * Merge pull request #11 <https://github.com/ros-perception/pointcloud_to_laserscan/issues/11> from ros-perception/mikaelarguedas-patch-1
    update to use non deprecated pluginlib macro
  * Migrate to package format 2; add roslint
  * Add sane parameter defaults; fixup lint warnings
  * update to use non deprecated pluginlib macro
  * Contributors: Mikael Arguedas, Paul Bovbel, Prasanna Kannappan

 -- Paul Bovbel <paul@bovbel.com>  Tue, 14 Nov 2017 05:00:00 -0000

ros-lunar-pointcloud-to-laserscan (1.3.1-0xenial) xenial; urgency=high

  * Merge pull request #4 <https://github.com/ros-perception/pointcloud_to_laserscan/issues/4> from yoshimalucky/fix-miscalculation-in-angle-increment
    Fixed miscalculation in angle_increment in the launch files.
  * fixed miscalculation in angle_increment in the launchfiles.
  * Contributors: Paul Bovbel, yoshimalucky

 -- Paul Bovbel <paul@bovbel.com>  Wed, 26 Apr 2017 04:00:00 -0000

ros-lunar-pointcloud-to-laserscan (1.3.0-0xenial) xenial; urgency=high

  * Fix pointcloud to laserscan transform tolerance issues
  * Move pointcloud_to_laserscan to new repository
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Tue, 09 Jun 2015 04:00:00 -0000

ros-lunar-pointcloud-to-laserscan (1.2.7-0xenial) xenial; urgency=high

  * Cleanup pointcloud_to_laserscan launch files
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Mon, 08 Jun 2015 04:00:00 -0000

ros-lunar-pointcloud-to-laserscan (1.2.6-0xenial) xenial; urgency=high

  * Fix default value for concurrency
  * Fix multithreaded lazy pub sub
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Wed, 04 Feb 2015 05:00:00 -0000

ros-lunar-pointcloud-to-laserscan (1.2.5-0xenial) xenial; urgency=high

  * Switch to tf_sensor_msgs for transform
  * Set parameters in sample launch files to default
  * Add tolerance parameter
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Tue, 20 Jan 2015 05:00:00 -0000

ros-lunar-pointcloud-to-laserscan (1.2.4-0xenial) xenial; urgency=high

  * Remove stray dependencies
  * Refactor with tf2 and message filters
  * Remove roslaunch check
  * Fix regressions
  * Refactor to allow debug messages from node and nodelet
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Thu, 15 Jan 2015 05:00:00 -0000

ros-lunar-pointcloud-to-laserscan (1.2.3-0xenial) xenial; urgency=high

  * add launch tests
  * refactor naming and fix nodelet export
  * set default target frame to empty
  * clean up package.xml
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Sat, 10 Jan 2015 05:00:00 -0000

ros-lunar-pointcloud-to-laserscan (1.2.2-0xenial) xenial; urgency=high

  * clean up package.xml
  * Fix header reference
  * Fix flow
  * Fix pointer assertion
  * Finalize pointcloud to laserscan
  * Initial pointcloud to laserscan commit
  * Contributors: Paul Bovbel

 -- Paul Bovbel <paul@bovbel.com>  Sat, 25 Oct 2014 04:00:00 -0000

=== debian/control ===
Source: ros-lunar-pointcloud-to-laserscan
Section: misc
Priority: extra
Maintainer: Paul Bovbel <paul@bovbel.com>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-catkin, ros-lunar-message-filters, ros-lunar-nodelet, ros-lunar-roscpp, ros-lunar-roslint, ros-lunar-sensor-msgs, ros-lunar-tf2, ros-lunar-tf2-ros, ros-lunar-tf2-sensor-msgs
Homepage: http://ros.org/wiki/perception_pcl
Standards-Version: 3.9.2

Package: ros-lunar-pointcloud-to-laserscan
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-message-filters, ros-lunar-nodelet, ros-lunar-roscpp, ros-lunar-sensor-msgs, ros-lunar-tf2, ros-lunar-tf2-ros, ros-lunar-tf2-sensor-msgs
Description: Converts a 3D Point Cloud into a 2D laser scan.
 This is useful for making devices like the Kinect appear like a laser scanner for 2D-based algorithms (e.g. laser-based SLAM).
